﻿@model AlertView
<div id="TableAlert" class="stockTableScrollable">
    <table class="table table-striped">
        <thead>
            <tr>
                @foreach (AlertColumnSAP item in Model.AlertColumns.OrderBy(c => c.Location))
                {
                    <th>@item.ColName</th>
                }
            </tr>
        </thead>
        <tbody>
            @{
                List<int> mLineList = Model.AlertRowData.OrderBy(c => c.Line).Select(c => c.Line).Distinct().ToList();
                foreach (int i in mLineList)
                {
                    <tr>
                        @foreach (AlertRowDataSAP item in Model.AlertRowData.Where(c => c.Line == i).OrderBy(c => c.Location).ToList())
                        {
                            <td>@item.Value</td>
                        }
                    </tr>
                }
            }

        </tbody>
    </table>
</div>